from pydantic_settings import BaseSettings
from pydantic import Field


class Queue(BaseSettings):
    model_config = {"env_file": ".env", "env_file_encoding": "utf-8"}
    broker_url: str = Field()
    backend_url: str = Field()


class Env(BaseSettings):
    app_name: str = Field(default="cronmatt")
    model_config = {"env_file": ".env", "env_file_encoding": "utf-8"}
